[ubuntu/wily-security] openssl 1.0.2d-0ubuntu1.2 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Mon Dec 7 12:20:52 UTC 2015


openssl (1.0.2d-0ubuntu1.2) wily-security; urgency=medium

  * SECURITY UPDATE: BN_mod_exp may produce incorrect results on x86_64
    - debian/patches/CVE-2015-3193.patch: fix carry propagating bug in
      crypto/bn/asm/x86_64-mont5.pl, added test to crypto/bn/bntest.c.
    - CVE-2015-3193
  * SECURITY UPDATE: Certificate verify crash with missing PSS parameter
    - debian/patches/CVE-2015-3194.patch: add PSS parameter check to
      crypto/rsa/rsa_ameth.c.
    - CVE-2015-3194
  * SECURITY UPDATE: X509_ATTRIBUTE memory leak
    - debian/patches/CVE-2015-3195.patch: fix leak in
      crypto/asn1/tasn_dec.c.
    - CVE-2015-3195
  * SECURITY UPDATE: Anon DH ServerKeyExchange with 0 p parameter
    - debian/patches/CVE-2015-1794.patch: fix segfault with 0 p val and
      check for 0 modulus in crypto/bn/bn_mont.c, ssl/s3_clnt.c.
    - CVE-2015-1794

Date: 2015-12-04 16:34:13.115170+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/openssl/1.0.2d-0ubuntu1.2
-------------- next part --------------
Sorry, changesfile not available.


More information about the Wily-changes mailing list